Bug 1579859 - Repeating key presses in Fedora 28
Summary: Repeating key presses in Fedora 28
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 30
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1643144 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-18 14:01 UTC by Mark Thacker
Modified: 2019-09-25 20:08 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Mark Thacker 2018-05-18 14:01:54 UTC
Description of problem:
Occasionally, key presses will be repeated multiple times regardless of the window manager, or application being used. That is, the typing "hello" may result in "hhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhhello".

Version-Release number of selected component (if applicable):
 Fedora 28 on Lenovo W541, though also seen on Dell laptops.
Kernel 4.16.8-300.fc28.x86_64 and previous F28 kernels.

How reproducible:
Random. Has occurred when in Google Chrome, terminal window, Spice windows into a VM, etc.
Have seen primarily with letters, but also the return character.

Steps to Reproduce:
1. Open any text dialog box, terminal window or Google Doc
2. type something
3. The first letter will often be repeated as if the key had been held down, even when it was released.

Actual results:
 A single key press should result in a single character being generated.

Expected results:
 A single key press may result in a long string of repeated characters generated.

Additional info:
 This has been seen on a Lenovo W541 and on a Dell laptop (by Nathaniel McCallum) and is seems to be independent of the window manager (Gnome, etc) or the windowing server (X11 verses Wayland).
Note that the Lenovo is using nouveau driver.

Comment 1 Mark Thacker 2018-05-18 14:04:56 UTC
Adding Nathaniel McCallum on the NeedInfo as he has seen this same issue with his Dell laptop.
Nathaniel, please confirm configuration details and correct this BZ as needed.

Comment 2 David Mitchell 2018-05-29 20:43:39 UTC
I am seeing the same issue, it happens frequently. I also have a Lenovo W541 and am running 4.16.11-300.fc28.x86_64.

Comment 3 Mark Thacker 2018-05-30 18:03:02 UTC
As a follow-up, I seem to no longer have this problem once I switched my session back go X-Windows. Apparently, starting in F28, Wayland became the primary tool in use (this wasn't the case in F27 on this system).

Changed to GNOME on Xorg during the login process and no more issues with repeated keystrokes or even the annoying way windows would draw with a popping black region first.

So, issue seems to be isolated to Wayland. I am running the nouveau drivers.

Comment 4 David Mitchell 2018-05-31 14:08:02 UTC
I just did the same as well, it seems to be running much smoother.

Comment 5 Nathaniel McCallum 2018-05-31 14:13:50 UTC
I'm seeing the same under Wayland on a Dell XPS 13 (9360). I am not going to switch to Xorg because I want to notice when it is fixed.

Since this is probably not a kernel bug, I'm going to switch this to libinput. If that is not the right place, feel free to move it elsewhere.

Comment 6 Peter Hutterer 2018-05-31 22:36:25 UTC
libinput doesn't do key repeats - it filters out the kernel repeats and only passes key down/up events on to the compositor. The key repeat you're seeing is the one triggered in the compositor (or Xorg but that's where this bug doesn't trigger) and is simply caused by gnome-shell being busy doing something else and thus not handling events as fast as it should.

The upstream bug for this is here:
https://bugzilla.gnome.org/show_bug.cgi?id=745032

I can't seem to find the matching fedora bug number though.

Comment 7 Christian Stadelmann 2018-10-08 13:24:27 UTC
This issue is still present in Fedora 29 Beta.

Comment 8 Peter Hutterer 2018-10-29 03:02:45 UTC
*** Bug 1643144 has been marked as a duplicate of this bug. ***

Comment 9 William Bentley 2018-11-08 18:37:47 UTC
I am still experiencing this issue in Fedora 29 General Release

4.18.16-300.fc29.x86_64

Comment 10 Bill Chatfield 2019-01-01 18:10:03 UTC
I am seeing this on an HP Compaq 6710b which has Intel 965GM graphics, in Fedora 29 (Gnome, Wayland). It seems to be worse when system utilization is high and/or gnome-shell is spinning at a constant %6 CPU usage for no reason.

Comment 11 Bill Chatfield 2019-01-01 18:22:18 UTC
(In reply to Bill Chatfield from comment #10)

I also have kernel parameter video=SVIDEO-1:d set because of this bug https://bugzilla.redhat.com/show_bug.cgi?id=1534300

Comment 12 Toby Haynes 2019-01-04 18:36:37 UTC
I see this issue on a Lenovo P50 with SSD drives. Lots of free memory and CPU utilization is around 1 logical cpu. Occurs sporadically, typically around every two minutes or so when nothing is being done. Occurs far more often if a key is held down (such as backspace).

[root@nexus7 thaynes]# rpm -qa | grep -E 'mutter|gnome-shell|kernel|libinput' | sort
abrt-addon-kerneloops-2.11.0-1.fc29.x86_64
chrome-gnome-shell-10.1-3.fc29.x86_64
gnome-shell-3.30.2-1.fc29.x86_64
gnome-shell-extension-alternate-tab-3.30.1-1.fc29.noarch
gnome-shell-extension-apps-menu-3.30.1-1.fc29.noarch
gnome-shell-extension-background-logo-3.24.0-6.fc29.noarch
gnome-shell-extension-common-3.30.1-1.fc29.noarch
gnome-shell-extension-launch-new-instance-3.30.1-1.fc29.noarch
gnome-shell-extension-places-menu-3.30.1-1.fc29.noarch
gnome-shell-extension-user-theme-3.30.1-1.fc29.noarch
gnome-shell-extension-window-list-3.30.1-1.fc29.noarch
kernel-4.19.12-301.fc29.x86_64
kernel-4.19.13-300.fc29.x86_64
kernel-4.19.9-300.fc29.x86_64
kernel-core-4.19.12-301.fc29.x86_64
kernel-core-4.19.13-300.fc29.x86_64
kernel-core-4.19.9-300.fc29.x86_64
kernel-headers-4.19.13-300.fc29.x86_64
kernel-modules-4.19.12-301.fc29.x86_64
kernel-modules-4.19.13-300.fc29.x86_64
kernel-modules-4.19.9-300.fc29.x86_64
kernel-modules-extra-4.19.12-301.fc29.x86_64
kernel-modules-extra-4.19.13-300.fc29.x86_64
kernel-modules-extra-4.19.9-300.fc29.x86_64
libinput-1.12.4-1.fc29.x86_64
libreport-plugin-kerneloops-2.9.7-1.fc29.x86_64
mutter-3.30.2-2.fc29.x86_64
xorg-x11-drv-libinput-0.28.1-1.fc29.x86_64

Example output from journalctl -f while typing this report.

Jan 04 13:32:03 nexus7 org.gnome.Shell.desktop[1871]: Window manager warning: last_user_time (148590138) is greater than comparison timestamp (148590042).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Jan 04 13:32:03 nexus7 org.gnome.Shell.desktop[1871]: Window manager warning: W375 (thaynes@ne) appears to be one of the offending windows with a timestamp of 148590138.  Working around...
Jan 04 13:32:35 nexus7 org.gnome.Shell.desktop[1871]: libinput error: client bug: timer event14 debounce short: offset negative (-0ms)
Jan 04 13:32:58 nexus7 tracker-store[2380]: Error in WAL checkpoint: database is locked
Jan 04 13:33:10 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:10 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:11 nexus7 org.gnome.Shell.desktop[1871]: Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!
Jan 04 13:33:35 nexus7 org.gnome.Shell.desktop[1871]: Window manager warning: last_user_time (148682150) is greater than comparison timestamp (148682148).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Jan 04 13:33:35 nexus7 org.gnome.Shell.desktop[1871]: Window manager warning: 0x1a00011 (1579859 – ) appears to be one of the offending windows with a timestamp of 148682150.  Working around...
Jan 04 13:33:35 nexus7 org.gnome.Shell.desktop[1871]: Window manager warning: last_user_time (148682483) is greater than comparison timestamp (148682475).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Jan 04 13:33:35 nexus7 org.gnome.Shell.desktop[1871]: Window manager warning: 0x1a00011 (1579859 – ) appears to be one of the offending windows with a timestamp of 148682483.  Working around...
Jan 04 13:33:36 nexus7 org.gnome.Shell.desktop[1871]: Window manager warning: last_user_time (148682783) is greater than comparison timestamp (148682779).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Jan 04 13:33:36 nexus7 org.gnome.Shell.desktop[1871]: Window manager warning: 0x1a00011 (1579859 – ) appears to be one of the offending windows with a timestamp of 148682783.  Working around...

vmstat output for the same period.

procs -----------memory---------- ---swap-- -----io---- -system-- ------cpu----- -----timestamp-----
 r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa st                 EST
 3  0   1040 1723044 1078368 18747372    0    0     0   532 37699 72960  8  7 82  3  0 2019-01-04 13:31:21
 1  1   1040 1728244 1078368 18747176    0    0     0     0 49706 92767 12  6 80  2  0 2019-01-04 13:31:22
 1  1   1040 1728308 1078368 18747160    0    0     0     0 32038 62070  9  7 82  3  0 2019-01-04 13:31:23
 1  0   1040 1729252 1078368 18746444    0    0     0     0 35505 68457  8  7 82  3  0 2019-01-04 13:31:24
 2  1   1040 1729220 1078376 18746668    0    0     0    28 37459 72473 10  6 81  3  0 2019-01-04 13:31:25
 4  0   1040 1728904 1078376 18746924    0    0     0     0 45200 88287 10  7 79  4  0 2019-01-04 13:31:26
 0  0   1040 1729124 1078384 18746444    0    0     0    80 30908 59763 10  7 81  2  0 2019-01-04 13:31:27
 2  0   1040 1727928 1078384 18746448    0    0     0    12 25745 49253  9  7 81  2  0 2019-01-04 13:31:28
 2  0   1040 1728528 1078384 18746444    0    0     0     0 26837 51077 10  7 81  2  0 2019-01-04 13:31:29
 5  0   1040 1729156 1078384 18746444    0    0     0     0 31419 60548  9  7 81  3  0 2019-01-04 13:31:30
 1  1   1040 1720416 1078384 18746444    0    0     0   288 28150 53213  9  9 79  2  0 2019-01-04 13:31:31
 2  0   1040 1715768 1078384 18752016    0    0     0     0 34050 65924  9  6 83  1  0 2019-01-04 13:31:32
 2  0   1040 1717596 1078384 18747532    0    0     0     0 26452 50289  9  7 81  3  0 2019-01-04 13:31:33
 1  0   1040 1703616 1078384 18755084    0    0     0     0 37805 75074 14  6 76  3  0 2019-01-04 13:31:34
 1  1   1040 1712492 1078384 18755088    0    0     0     0 34981 68449 10  7 81  3  0 2019-01-04 13:31:35
 1  0   1040 1725156 1078384 18747372    0    0     0  2392 48460 94202  9  7 80  3  0 2019-01-04 13:31:36
 1  0   1040 1726952 1078392 18746888    0    0     0    80 36869 71509  9  5 82  3  0 2019-01-04 13:31:37
 1  0   1040 1735996 1078392 18746892    0    0     0     0 40298 75599  9  6 81  3  0 2019-01-04 13:31:38
 2  0   1040 1736560 1078400 18746176    0    0     0    20 27783 52462  9  6 81  4  0 2019-01-04 13:31:39
 1  0   1040 1737880 1078400 18746176    0    0     0     0 32036 61434 11  7 79  3  0 2019-01-04 13:31:40
 0  0   1040 1736336 1078404 18746196    0    0     0    72 29873 57740 10  7 82  2  0 2019-01-04 13:31:41
 1  1   1040 1722984 1078404 18746224    0    0     0     0 26277 50391 12 10 76  2  0 2019-01-04 13:31:42
 3  0   1040 1724080 1078404 18754284    0    0    12     0 36972 70974 10  6 80  4  0 2019-01-04 13:31:43
 0  0   1040 1727740 1078404 18754248    0    0     0   240 30181 58053  9  6 81  3  0 2019-01-04 13:31:44
 2  0   1040 1735268 1078404 18746056    0    0     0     0 25353 47925 11  6 80  3  0 2019-01-04 13:31:45
 0  1   1040 1735552 1078404 18746576    0    0     0    56 55351 108222 10  8 80  2  0 2019-01-04 13:31:46
 1  0   1040 1723172 1078404 18759868    0    0     0     0 29989 57610  9  7 81  3  0 2019-01-04 13:31:47
 0  0   1040 1733568 1078416 18747684    0    0     0    92 30491 57992  9  7 81  3  0 2019-01-04 13:31:48
 0  0   1040 1730260 1078424 18755228    0    0     0    16 39076 73141 12  6 78  3  0 2019-01-04 13:31:49
 4  0   1040 1731584 1078424 18755228    0    0     0     0 26822 51077  9  7 80  3  0 2019-01-04 13:31:50
 2  0   1040 1739616 1078424 18747036    0    0     0  3772 35312 67328  9  7 80  3  0 2019-01-04 13:31:51
 0  0   1040 1739300 1078424 18747036    0    0     0     0 29040 55446  9  7 81  3  0 2019-01-04 13:31:52
 0  0   1040 1729812 1078428 18755164    0    0     0   116 29960 56707  8 10 79  3  0 2019-01-04 13:31:53
 0  0   1040 1735412 1078436 18754456    0    0     0   168 32479 63140  8  6 83  2  0 2019-01-04 13:31:54
 1  0   1040 1742844 1078436 18746272    0    0     0     0 27697 52688  9  7 82  2  0 2019-01-04 13:31:55
 1  0   1040 1742496 1078436 18746752    0    0     0    92 60987 119597  9  8 80  3  0 2019-01-04 13:31:56
 0  0   1040 1736008 1078436 18754476    0    0     0     0 30797 59753 10  6 82  2  0 2019-01-04 13:31:57
 4  0   1040 1733768 1078436 18754476    0    0     0     0 31123 59834  9  7 82  2  0 2019-01-04 13:31:58
 2  0   1040 1740984 1078436 18746284    0    0     0    56 33950 65511  9  7 80  3  0 2019-01-04 13:31:59
 0  1   1040 1740576 1078436 18746284    0    0     0     0 30448 58088  9  8 80  3  0 2019-01-04 13:32:00
 0  0   1040 1740152 1078436 18746448    0    0     0   288 32195 61859  9  6 82  2  0 2019-01-04 13:32:01
 0  0   1040 1737236 1078436 18752024    0    0     0     0 30006 57616  9  7 81  2  0 2019-01-04 13:32:02
 0  0   1040 1740544 1078444 18747800    0    0     0    12 40633 79000  8  7 83  2  0 2019-01-04 13:32:03
 3  1   1040 1738368 1078444 18747216    0    0     0     0 27217 51348 10 10 78  2  0 2019-01-04 13:32:04
 2  0   1040 1737180 1078448 18747348    0    0     0    56 33246 64417 10  7 80  3  0 2019-01-04 13:32:05
 1  0   1040 1734008 1078448 18747824    0    0     0     0 66972 131459  9  9 80  2  0 2019-01-04 13:32:06
 1  0   1040 1732892 1078448 18747324    0    0     0     0 31324 60167 10  7 80  2  0 2019-01-04 13:32:07
 1  1   1040 1709752 1078456 18755560    0    0     0   184 43901 85791 12 10 75  3  0 2019-01-04 13:32:08
 3  0   1040 1697684 1078456 18754848    0    0     0  1484 21345 36077  9 15 74  1  0 2019-01-04 13:32:09
 0  0   1040 1720724 1078464 18755000    0    0     0    84 37009 66366  8 11 78  2  0 2019-01-04 13:32:10
 0  0   1040 1732844 1078464 18746808    0    0     0    16 32228 60604  8  7 83  2  0 2019-01-04 13:32:11
 2  0   1040 1732912 1078472 18746844    0    0     0   144 30368 58213 10  7 80  3  0 2019-01-04 13:32:12
 7  0   1040 1732308 1078472 18746756    0    0     0     0 32922 63484  9  7 83  1  0 2019-01-04 13:32:13
 1  1   1040 1721920 1078504 18754888    0    0     0   248 44349 87273 12  6 79  2  0 2019-01-04 13:32:14
 2  1   1040 1715832 1078504 18755128    0    0     0     0 34370 67362 12  9 76  3  0 2019-01-04 13:32:15
 2  0   1040 1715392 1078504 18755384    0    0     0     0 62309 121896  9  9 80  2  0 2019-01-04 13:32:16
procs -----------memory---------- ---swap-- -----io---- -system-- ------cpu----- -----timestamp-----
 r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa st                 EST
 1  1   1040 1720596 1078504 18752292    0    0     0  2380 26175 49605 10  6 81  3  0 2019-01-04 13:32:17
 0  1   1040 1724056 1078504 18748068    0    0     0     0 33343 64190  8  7 82  3  0 2019-01-04 13:32:18
 2  1   1040 1723896 1078504 18747268    0    0     0     0 32110 61762  8  6 84  2  0 2019-01-04 13:32:19
 3  0   1040 1730672 1078512 18747536    0    0     0   120 35604 68696  8  7 82  3  0 2019-01-04 13:32:20
 1  0   1040 1730356 1078512 18747536    0    0     0     0 33711 64738  9  7 81  3  0 2019-01-04 13:32:21
 0  1   1040 1729788 1078512 18747956    0    0     0   140 40183 77567  8  7 81  3  0 2019-01-04 13:32:22
 0  1   1040 1728148 1078512 18747968    0    0     0     0 31345 60180  9  7 81  4  0 2019-01-04 13:32:23
 0  0   1040 1721724 1078512 18754292    0    0     0     0 37927 73371  9  7 81  3  0 2019-01-04 13:32:24
 1  0   1040 1719704 1078512 18756780    0    0     0     0 45148 88720  8  8 82  3  0 2019-01-04 13:32:25
 0  0   1040 1691280 1078520 18783960    0    0     0    40 51426 100504 10 11 76  4  0 2019-01-04 13:32:26
 2  0   1040 1689192 1078520 18785756    0    0     0  1056 58286 114283  9  9 80  2  0 2019-01-04 13:32:27
 1  1   1040 1710848 1078528 18762436    0    0     0    44 39952 78007 11  8 79  2  0 2019-01-04 13:32:28
 1  1   1040 1716440 1078536 18755744    0    0     0    68 30855 59225 10  7 80  4  0 2019-01-04 13:32:29
 1  1   1040 1707868 1078556 18755724    0    0     0   476 42283 83211 10  7 82  2  0 2019-01-04 13:32:30
 3  0   1040 1709260 1078560 18753780    0    0     0    64 31986 61473  9  8 81  2  0 2019-01-04 13:32:31
 2  0   1040 1708416 1078568 18754436    0    0     0   508 34112 66893  9  8 81  2  0 2019-01-04 13:32:32
 5  1   1040 1710580 1078572 18750352    0    0     0    88 26536 50651  9  7 82  2  0 2019-01-04 13:32:33
 2  0   1040 1710452 1078572 18749720    0    0     0   160 27259 51729  9  7 81  3  0 2019-01-04 13:32:34
 2  0   1040 1696940 1078572 18770384    0    0     0     0 75124 148287  9 10 79  2  0 2019-01-04 13:32:35
 2  1   1040 1709836 1078572 18757780    0    0     0     0 68240 133887 10  9 79  3  0 2019-01-04 13:32:36
 2  0   1040 1714296 1078572 18750112    0    0     0  2496 36250 69465  8 10 80  2  0 2019-01-04 13:32:37
 1  0   1040 1713480 1078576 18750136    0    0     0    72 44615 86784  9  8 80  4  0 2019-01-04 13:32:38
 1  1   1040 1715116 1078580 18749616    0    0     0   172 50424 99138  9  8 81  3  0 2019-01-04 13:32:39
 2  0   1040 1714904 1078604 18749540    0    0     0   212 36435 70377  8  7 82  3  0 2019-01-04 13:32:40
 2  1   1040 1717108 1078604 18747636    0    0     0     0 28875 55226  9  7 81  3  0 2019-01-04 13:32:41
 1  0   1040 1714116 1078604 18751196    0    0     0     0 34283 66261  9  8 79  3  0 2019-01-04 13:32:42
 1  0   1040 1719964 1078604 18749568    0    0     0     0 60929 117078 10  7 80  3  0 2019-01-04 13:32:43
 2  1   1040 1722312 1078604 18749940    0    0     0     0 54423 106399 10  8 79  3  0 2019-01-04 13:32:44
 0  1   1040 1710320 1078616 18751904    0    0     0  1924 66155 130460  8  8 80  3  0 2019-01-04 13:32:45
 1  0   1040 1710336 1078616 18752184    0    0     0     0 65691 129089  8  8 80  3  0 2019-01-04 13:32:46
 2  0   1040 1712916 1078616 18751008    0    0     0    36 30017 57216  9  7 81  3  0 2019-01-04 13:32:47
 2  0   1040 1721864 1078616 18747552    0    0     0     0 29577 54982 10  9 78  3  0 2019-01-04 13:32:48
 3  0   1040 1721424 1078616 18746912    0    0     0     0 34239 65875  8  7 82  3  0 2019-01-04 13:32:49
 3  1   1040 1726148 1078624 18746912    0    0     0   124 51439 100784  9  7 81  4  0 2019-01-04 13:32:50
 3  0   1040 1726112 1078628 18746632    0    0     0   252 35769 69053 10  7 80  3  0 2019-01-04 13:32:51
 1  0   1040 1725552 1078628 18746632    0    0     0     4 52834 103234  8  8 80  3  0 2019-01-04 13:32:52
 2  0   1040 1725360 1078636 18746632    0    0     0   160 44920 87685 10  8 79  3  0 2019-01-04 13:32:53
 1  0   1040 1719352 1078636 18745892    0    0     0     0 33439 64039 10  7 80  3  0 2019-01-04 13:32:54
 1  1   1040 1684368 1078636 18746116    0    0     0    16 50752 88919 19  7 71  3  0 2019-01-04 13:32:55
 1  0   1040 1667324 1078636 18746372    0    0     0     0 53907 100681 16  8 73  3  0 2019-01-04 13:32:56
 1  0   1040 1664188 1078644 18746100    0    0     0    60 35649 69647 10  8 79  3  0 2019-01-04 13:32:57
 1  0   1040 1661960 1078660 18746212    0    0     0   224 28587 54266 10  7 80  3  0 2019-01-04 13:32:58
 1  0   1040 1666488 1078660 18746232    0    0     0     0 34977 66575  9 10 78  3  0 2019-01-04 13:32:59
 1  0   1040 1659968 1078660 18746524    0    0     0   288 34764 66573 10  7 80  4  0 2019-01-04 13:33:00
 1  0   1040 1659148 1078660 18746556    0    0     0     0 45195 87981  9  7 82  3  0 2019-01-04 13:33:01
 1  0   1040 1655556 1078660 18751556    0    0     0     0 42726 83133  9  8 81  3  0 2019-01-04 13:33:02
 0  0   1040 1659752 1078660 18747332    0    0     0  3088 39787 77083 10  7 80  3  0 2019-01-04 13:33:03
 1  0   1040 1659652 1078664 18746692    0    0     0   112 32581 62070 10  8 79  3  0 2019-01-04 13:33:04
 1  0   1040 1665136 1078672 18746712    0    0     0    48 28782 55128 10  7 79  3  0 2019-01-04 13:33:05
 0  0   1040 1664412 1078672 18747192    0    0     0     0 50931 99155  9  7 80  4  0 2019-01-04 13:33:06
 5  0   1040 1663684 1078676 18746692    0    0     0    76 30908 58923 10  7 80  3  0 2019-01-04 13:33:07
 2  0   1040 1660556 1078680 18746484    0    0     0   136 34674 70065  9  7 80  3  0 2019-01-04 13:33:08
 2  1   1040 1658488 1078680 18746048    0    0     0     0 31868 61497 10  7 81  2  0 2019-01-04 13:33:09
 1  0   1040 1651632 1078700 18746044    0    0     0   848 48372 93273  7 13 77  3  0 2019-01-04 13:33:10
 2  0   1040 1624256 1078700 18745720    0    0     0    16 22467 38133  7 17 76  1  0 2019-01-04 13:33:11
 1  1   1040 1642992 1078700 18750096    0    0     0    64 43636 79778 10 11 76  3  0 2019-01-04 13:33:12
procs -----------memory---------- ---swap-- -----io---- -system-- ------cpu----- -----timestamp-----
 r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa st                 EST
 0  0   1040 1645824 1078700 18750096    0    0     0    68 32028 61087  8  7 82  3  0 2019-01-04 13:33:13
 0  0   1040 1652880 1078704 18750040    0    0     0   140 34809 67493 10  7 80  3  0 2019-01-04 13:33:14
 3  1   1040 1652628 1078704 18750264    0    0     0     0 28973 55243  9  7 81  3  0 2019-01-04 13:33:15
 0  0   1040 1642492 1078720 18750828    0    0     0   524 49277 96349 10  8 78  4  0 2019-01-04 13:33:16
 0  0   1040 1635572 1078720 18755704    0    0     0     0 34987 68257 10  8 80  3  0 2019-01-04 13:33:17
 0  0   1040 1638928 1078736 18751836    0    0     0   184 29004 54977  9  7 80  3  0 2019-01-04 13:33:18
 0  0   1040 1639020 1078736 18751188    0    0     0     0 27219 51719  9  7 81  3  0 2019-01-04 13:33:19
 0  0   1040 1639084 1078736 18751188    0    0     0     0 30258 57741  9  7 81  3  0 2019-01-04 13:33:20
 2  0   1040 1644076 1078736 18751136    0    0     0     0 29330 55807  7 10 80  3  0 2019-01-04 13:33:21
 1  0   1040 1643164 1078736 18751136    0    0     0     0 29972 56918 10  7 80  3  0 2019-01-04 13:33:22
 3  1   1040 1643928 1078740 18751136    0    0     0   564 34542 66816  9  6 82  4  0 2019-01-04 13:33:23
 0  0   1040 1643792 1078740 18750420    0    0     0     0 27790 53118  9  7 80  3  0 2019-01-04 13:33:24
 3  1   1040 1643604 1078744 18750444    0    0     0    40 27878 53117 10  7 80  4  0 2019-01-04 13:33:25
 0  0   1040 1643512 1078744 18750924    0    0     0     0 42813 83022  9  7 81  4  0 2019-01-04 13:33:26
 0  0   1040 1643604 1078752 18750420    0    0     0    84 27641 52326  9  7 81  3  0 2019-01-04 13:33:27
 0  0   1040 1643132 1078752 18750420    0    0     0  2540 30498 58370  9  7 81  3  0 2019-01-04 13:33:28
 0  0   1040 1630880 1078752 18755204    0    0     0     0 30079 57608 10  6 80  3  0 2019-01-04 13:33:29
 0  0   1040 1634376 1078756 18751804    0    0     0    56 31138 59360  9  7 81  3  0 2019-01-04 13:33:30
 0  0   1040 1633840 1078756 18751168    0    0     0     0 29256 55607  9  7 81  3  0 2019-01-04 13:33:31
 0  1   1040 1628212 1078768 18756520    0    0     0    84 26941 50716  8 10 79  3  0 2019-01-04 13:33:32
 0  1   1040 1631512 1078768 18752172    0    0     0   100 26961 51236  9  7 83  2  0 2019-01-04 13:33:33
 2  0   1040 1631952 1078768 18751652    0    0     0     0 30814 58810  9  7 82  3  0 2019-01-04 13:33:34
 3  1   1040 1625904 1078768 18752132    0    0     0     0 36255 69643 10  8 80  3  0 2019-01-04 13:33:35
 2  2   1040 1629368 1078776 18751992    0    0     0   164 77920 154800 10  9 77  5  0 2019-01-04 13:33:36
 1  0   1040 1628580 1078776 18751440    0    0     0     0 62728 123951  9  8 80  3  0 2019-01-04 13:33:37
 1  1   1040 1620800 1078780 18751416    0    0     0  1360 46749 90980  8  7 82  3  0 2019-01-04 13:33:38
 0  1   1040 1616484 1078788 18750708    0    0     0    68 33767 65479 10  8 79  3  0 2019-01-04 13:33:39
 0  1   1040 1613440 1078788 18750704    0    0     0     0 33538 65297  9  8 80  3  0 2019-01-04 13:33:40
 1  1   1040 1612044 1078796 18750824    0    0     0   260 32226 61715  9  7 81  3  0 2019-01-04 13:33:41
 0  1   1040 1612356 1078800 18750564    0    0     0    16 32094 61796 10  7 80  3  0 2019-01-04 13:33:42
 0  1   1040 1617912 1078800 18750568    0    0     0     0 35504 67671  8 10 80  3  0 2019-01-04 13:33:43
 2  1   1040 1621336 1078800 18750568    0    0     0   132 33362 64001  9  8 80  4  0 2019-01-04 13:33:44
 5  1   1040 1623036 1078800 18750568    0    0     0     0 49026 95829 10  8 79  3  0 2019-01-04 13:33:45
 2  1   1040 1621460 1078808 18751104    0    0     0   248 56161 110253  9  8 79  3  0 2019-01-04 13:33:46
 4  0   1040 1615916 1078808 18756204    0    0     0     0 45063 87704 10  8 78  3  0 2019-01-04 13:33:47
 2  0   1040 1619852 1078816 18751700    0    0     0    88 34206 65425 10  7 80  3  0 2019-01-04 13:33:48
 2  0   1040 1625140 1078816 18751060    0    0     0  2424 39598 75287  9  5 83  3  0 2019-01-04 13:33:49

Comment 13 Matt V 2019-01-21 22:45:13 UTC
Hello,

I've encountered similar issue the past feeeeeeeeeew days as well with Fedora 29............

Lenovo T440s
Fedora 29
Gnome 3.30.2

$ uname   -r
4.19.15-300.fc29.x86_64

Settings:
Universal Access 
Typing
Repeat Keys     On
Cursor Blinking           On
Typing Aaassist(AccessX)  Off

Performed a minor system update around the same time the repeating started happening, not sure what the system update was to cause the change.  I have the Tweaks package installed as well, but don't see any settings there for key repeat.

Resolution:
Clicking on the Repeat Keys in Universal Settings and moving the slider from where it was (about 25%) to 75% seems to have resolved it for me.

Comment 14 gsoundsgood 2019-01-30 20:33:19 UTC
I've been having this issue (quasi-random repeated keys such as eeeeeeee) for some time, now on a Fedora 29, updated from 28, on Wayland, on an Asus F550L

4.20.4-200.fc29.x86_64

Most annoyingly, and perhaps related (which is why I'm mentioning it here) in the last few weeks I have the keyboard sometimes missing some keystrokes (it happens for a few minutes, but apparently less when there's really no process going on). I have this issue intermittently, and then everything works fine for hours.

Comment 15 gsoundsgood 2019-01-30 20:40:44 UTC
I should add that if i run journalctl -f, I get a lot of 

localhost.localdomain org.gnome.Shell.desktop[2951]: Window manager warning: last_user_time (4724082) is greater than comparison timestamp (4724081).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...

In another bug report, this has been linked to this same effect:
https://bugzilla.redhat.com/show_bug.cgi?id=1242210#c13

Comment 16 Amin Vakil 2019-01-30 22:28:11 UTC
Mine was fixed by something due to autosuspend. 

It's for keyboards linked via internal usb to motherboard.

Execute these commands:

cd /sys/bus/usb/devices
echo */input

And you can find if you have keyboard in there or not. Let's assume 1-7:1.0/input is your input.

Type below command and work for hours and if you haven't had the problem again then try cron or something to put that in your startup:

sudo sh -c 'echo "0" >/sys/bus/usb/devices/1-7:1-0/power/autosuspend'

Also for crontab, enter sudo crontab -e and type in below:
@reboot echo "0" >/sys/bus/usb/devices/1-7/power/autosuspend

Use this link for more information: https://askubuntu.com/a/691659/498411

Comment 17 Christian Ciach 2019-04-20 10:45:15 UTC
Same issue for me: Occasionally repeated key presses when using Wayland on Fedora 29.

I am using a Dell XPS 13 2-in-1 (9365). This device uses an Intel Core i7-7Y75, which is a relatively slow, passively cooled CPU. Because of this, it is natural for my device to have an occasional "thinking pause". If such a pause happens just after I've pressed a key, the key press will be repeated about 10 to 20 times after the "thinking pause" ends. Of course, this is extremely annoying and this forced me to switch back to using an X session.

Also, I have the feeling that the mentioned "thinking pauses" are much less frequent and shorter on X compared to Wayland.

"Thanks" to the slow CPU of my convertible device, I can also see in htop that the idle CPU utilization is much lower in X than it is in X. In Wayland, just when moving the cursor using the touchpad on the desktop, CPU utilization of one CPU core jumps from 2% to around 15%. On X, CPU utilization does not increase just by moving the cursor with the touchpad. 

It seems to me that Wayland is currently just not really usable on slow, passively cooled devices like the Dell XPS 9365.

Comment 18 Christian Ciach 2019-04-20 10:48:47 UTC
Sorry, but just a little correction to avoid confusion:

Of course, in my previous comment I wanted to write: "I can also see in htop that the idle CPU utilization is much lower in X than it is in Wayland.".

Comment 19 Ben Cotton 2019-05-02 19:40:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Bill Chatfield 2019-05-05 00:02:46 UTC
I have recently seen this occur on Fedora 30 in Gnome Shell on my Dell Inspiron 15 5565.

Comment 21 Marek Suchánek 2019-07-30 19:46:40 UTC
Hello Owen,

This bug now also affects RHEL 8.0. Should I clone it with RHEL 8 set as product or would you prefer to reuse this existing bug?

The bug is very noticeable when it manifests, which is usually on systems under heavy load. It regularly affects me and several other tecnical writers in CCS who use Gnome. I can provide more details and reproducers if you need, but the descriptions in the previous comments are accurate.

Comment 22 Owen Taylor 2019-08-07 20:00:49 UTC
Reassigning to current maintainer and updating component. Florian - has this been addressed since F28?

Comment 23 Owen Taylor 2019-08-07 20:02:35 UTC
Marek Suchánek: if you want this tracked for RHEL, please clone it there. Thanks!


Note You need to log in before you can comment on or make changes to this bug.